/*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#ifndef __CHECKBUTTONPAGE_H
#define __CHECKBUTTONPAGE_H

#include <picowidget.h>

typedef struct _checkbuttonpage CheckbuttonPage;

struct _checkbuttonpage
{
	px_widget* mainframe;
	px_widget* fonts_lbl;
	px_widget* tiny;
	px_widget* small;
	px_widget* normal;
	px_widget* bold;
	px_widget* large;
	px_widget* back;

	px_widget* images_lbl, *triangle, *squares, *circles, *hexagon;
	px_widget* no_indicator_lbl, *indicatorless_triangle, *indicatorless_squares, 
		*indicatorless_circles, *indicatorless_hexagon;
	px_widget* message;
};

CheckbuttonPage* checkbuttonpage_create();
Bool checkbuttonpage_back_released(px_widget*, px_event*);
#endif
