/*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// (C) PicoPeta Simputers Pvt. Ltd. (2003)
// Author: Santhosh N

#ifndef __CLIPBOARD_H__
#define __CLIPBOARD_H__

#include "picowidget.h"

px_clipboard* clipboard_create();

void clipboard_set_selection(px_clipboard*, const char*);
void clipboard_set_selection_owner(px_clipboard*, px_widget*);

const char* clipboard_get_selection(px_clipboard*);
px_widget* clipboard_get_selection_owner(px_clipboard*);

void clipboard_selection_clear(px_clipboard*, px_event*);
void clipboard_send_selection(px_clipboard*, px_event*);
void clipboard_selection_notify(px_clipboard* clip, px_event* event);
void clipboard_handle_incr_mechanism(px_clipboard* clip, px_event* event);
#endif

