/*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// (C) PicoPeta Simputers Pvt. Ltd. (2003)
// Author: Santhosh N

#ifndef __DISPLAY_H__
#define __DISPLAY_H__

#include "picowidget.h"
px_display* display_get_display();

Display* display_get_Xdisplay();
Window display_get_root_window();
Bool display_open_display(px_display*, char*);
void display_close_display(px_display*);
void display_set_display(px_display*, Display*);
		
void display_register_wm_protocol(px_display*, const char*);
Atom display_get_atom(px_display*, const char*);

px_clipboard* display_get_clipboard(px_display*, const char*);

void display_flush(px_display*);
void display_sync(px_display*);

void display_destroy();

#endif
