/*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// (C) PicoPeta Simputers Pvt. Ltd. (2003)
// Author: Santhosh N

#ifndef __IMAGE_H
#define __IMAGE_H

#include "picowidget.h"
#include <pimglib.h>
void image_initialize_pixmap(px_pixmap* px);
void image_create_pixmap(Window win, px_pixmap* px, unsigned int w, unsigned int h);
Bool image_load_xpm(Window win, px_pixmap*, char*);
Bool image_load_file(Window win, px_pixmap*, char*);
Bool image_copy_pixmap(Window, px_pixmap*, const px_pixmap*);
Bool image_copy_image(Window, px_pixmap* , const struct Image *);
Bool image_copy_part_of_pixmap(Window , px_pixmap* , const px_pixmap* , int, int, int, int, int, int);
Bool image_copy_part_of_image(Window , px_pixmap* , const struct Image* , int, int, int, int, int, int);

void image_destroy(px_pixmap*);
#endif
