/*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// (C) PicoPeta Simputers Pvt. Ltd. (2003)
// Author: Santhosh N

#ifndef __PROGRESSBAR_H
#define __PROGRESSBAR_H

#include "picowidget.h"

px_widget* progressbar_create(px_widget*, int, int, int, int, const char*);
void progressbar_set_parameters(px_widget* widget);

Bool progressbar_default_button_events(px_widget*, px_event*);

void progressbar_redraw(px_widget*);
void progressbar_destroy(px_widget*);

void progressbar_set_font_color(px_widget* widget, const char* colour);
void progressbar_set_font(px_widget* widget, const char* fontname);
void progressbar_set_value(px_widget* widget, unsigned int value);
unsigned int progressbar_get_value(px_widget* widget);
void progressbar_show_value(px_widget* widget, Bool show);
void progressbar_set_fill_color(px_widget* widget, px_color* col);

#endif

